Page MenuHomePhabricator

Newcomer tasks: Use RESTBase for text extracts
Closed, ResolvedPublic

Description

Currently we use TextExtracts extension, but as discussed in this patch it would be better to use RESTBase.

We could probably reuse the $wgGENewcomerTasksRemoteApiUrl config variable to determine which language wiki to use with RESTBase.

Also, if we don't have a thumbnail from PageImages (which happens if e.g. $wgGENewcomerTasksRemoteApiUrl is used) then maybe we could consider using the thumbnail from RESTBase, even though it's not sized quite how we'd want it to be.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterMake RESTBase errors trigger the error screen + add URL override
mediawiki/extensions/GrowthExperiments : masterSuggested Edits: Use RESTBase for loading text extracts

Event Timeline

kostajh created this task.Oct 25 2019, 9:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2019, 9:21 PM

@kostajh will create a new task for 1.0 and then bump this task out of the current sprint board

kostajh claimed this task.Nov 4 2019, 2:54 PM
kostajh moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 548278 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] (wip) Suggested Edits: Use RESTBase for loading text extracts

https://gerrit.wikimedia.org/r/548278

Change 548278 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Use RESTBase for loading text extracts

https://gerrit.wikimedia.org/r/548278

Change 548578 had a related patch set uploaded (by Kosta Harlan; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Make RESTBase errors trigger the error screen + add URL override

https://gerrit.wikimedia.org/r/548578

Change 548578 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Make RESTBase errors trigger the error screen + add URL override

https://gerrit.wikimedia.org/r/548578

Etonkovidova closed this task as Resolved.Nov 8 2019, 6:10 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked as per T237056